import { usePost, stringify, useGet } from "@/.cool";


export interface SubjectCourseTestResult {
    id?: string
    name?: string
    subjectId?: string
    catalogId?: string
    courseId?: string
    animationPath?: string
    animationJavascriptPath?: string
    animationCssPath?: string
    animationImagePath?: string
    sortNum?: string
    remark?: string
    updateUserId?: string
    updateUserName?: string
    createdUserId?: string
    createdUserName?: string
    createdTime?: string
    updateTime?: string
    lockFlag?: boolean
}

export function querySubjectCourseTest(parameter?: any) {
    return useGet(`/subject/test`, parameter) as Promise<SubjectCourseTestResult[]>
}

export function querySubjectCourseTestNoLogin(parameter?: any) {
    return useGet(`/subject/test/no/login`, parameter) as Promise<SubjectCourseTestResult[]>
}


export function fetchSubjectCourseTest(parameter: any) {
    return useGet(`/subject/test/${parameter.id}`) as Promise<SubjectCourseTestResult>
}


